Debian Bug report logs - #694418
ITP: libfits-java -- Java library for the I/O handling of FITS files

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Florian Rothmaier <frothmai@ari.uni-heidelberg.de>

Date: Mon, 26 Nov 2012 11:09:02 UTC

Owned by: Florian Rothmaier <frothmai@ari.uni-heidelberg.de>

Severity: wishlist

Fixed in version libfits-java/1.10.0-1

Done: Florian Rothmaier <frothmai@ari.uni-heidelberg.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, frothmai@ari.uni-heidelberg.de, debian-devel@lists.debian.org, wnpp@debian.org:
Bug#694418; Package wnpp. (Mon, 26 Nov 2012 11:09:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Florian Rothmaier <frothmai@ari.uni-heidelberg.de>:
New Bug report received and forwarded. Copy sent to frothmai@ari.uni-heidelberg.de, debian-devel@lists.debian.org, wnpp@debian.org. (Mon, 26 Nov 2012 11:09:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Florian Rothmaier <frothmai@ari.uni-heidelberg.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: fits -- Java library for the I/O handling of FITS files
Date: Mon, 26 Nov 2012 12:07:05 +0100
Package: wnpp
Severity: wishlist
Owner: Florian Rothmaier <frothmai@ari.uni-heidelberg.de>

* Package name    : fits
  Version         : 1.10.0
  Upstream Author : Thomas A. McGlynn <thomas.a.mcglynn@nasa.gov>
* URL             : http://heasarc.gsfc.nasa.gov/docs/heasarc/fits/java/
* License         : public-domain
  Programming Lang: Java
  Description     : Java library for the I/O handling of FITS files

FITS (Flexible Image Transport System) is the standard
data format in astronomy used for the transport, analysis,
and archival storage of scientific data sets.

This library provides efficient I/O for FITS images and
binary tables. All basic FITS formats and gzip compressed
files are supported.


This package is built in preparation to build TOPCAT (the
"Tool for OPerations on Catalogues And Tables").

A git repository has been created at
http://anonscm.debian.org/gitweb/?p=debian-science/packages/fits.git .

Any kind of packaging help or comments on the current status of
this package is appreciated.



Added blocking bug(s) of 694418: 694464 Request was from Bart Martens <bartm@quantz.debian.org> to control@bugs.debian.org. (Mon, 26 Nov 2012 16:21:10 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Florian Rothmaier <frothmai@ari.uni-heidelberg.de>:
Bug#694418; Package wnpp. (Mon, 26 Nov 2012 18:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julian Taylor <jtaylor.debian@googlemail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Florian Rothmaier <frothmai@ari.uni-heidelberg.de>. (Mon, 26 Nov 2012 18:42:03 GMT) Full text and rfc822 format available.

Message #12 received at 694418@bugs.debian.org (full text, mbox):

From: Julian Taylor <jtaylor.debian@googlemail.com>
To: Florian Rothmaier <frothmai@ari.uni-heidelberg.de>
Cc: debian-science@lists.debian.org, 694418@bugs.debian.org
Subject: Re: Fwd: Bug#694418: ITP: fits -- Java library for the I/O handling of FITS files
Date: Mon, 26 Nov 2012 19:39:07 +0100
hi,
as ole already mentioned the source package name is far too generic.

I'm not familiar with java packaging policies, but I would also expect
nom.tam to appear somewhere in the package name or description.
It would make it clear on first sight which java fits library it is.



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Florian Rothmaier <frothmai@ari.uni-heidelberg.de>:
Bug#694418; Package wnpp. (Tue, 27 Nov 2012 09:06:04 GMT) Full text and rfc822 format available.

Message #15 received at 694418@bugs.debian.org (full text, mbox):

From: debian-devel@liska.ath.cx (Olе Streicher)
To: debian-devel@lists.debian.org
Subject: Re: Bug#694418: ITP: fits -- Java library for the I/O handling of FITS files
Date: Mon, 26 Nov 2012 17:10:57 +0100
Hi Florian,

Florian Rothmaier <frothmai@ari.uni-heidelberg.de> writes:
> * Package name    : fits
> [...]
> * License         : public-domain

Some short comments:

* I would not name the (source) package "fits" since this is too short
  and misleading (I would expect a generic fits handling package there,
  not a java specific one). Since it is a java package, "fits-java" or
  "libfits-java" (the same as your library package) would IMO fit better.

* Since the original code is under PD, would you consider to put the
  Debian package under a less restrictive license than GPL?

* I would announce the ITP also in the debian-java mailing list, and
  also ask for review and sponsorship in all three lists (mentors,
  science, java).

Cheers

Ole


-- 
To UNSUBSCRIBE, email to debian-devel-REQUEST@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
Archive: http://lists.debian.org/ytzehjggx9q.fsf@news.ole.ath.cx




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Florian Rothmaier <frothmai@ari.uni-heidelberg.de>:
Bug#694418; Package wnpp. (Fri, 30 Nov 2012 14:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jérémy Lal <kapouer@melix.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Florian Rothmaier <frothmai@ari.uni-heidelberg.de>. (Fri, 30 Nov 2012 14:57:03 GMT) Full text and rfc822 format available.

Message #20 received at 694418@bugs.debian.org (full text, mbox):

From: Jérémy Lal <kapouer@melix.org>
To: 694418@bugs.debian.org
Subject: Re: Bug#694418: ITP: fits -- Java library for the I/O handling of FITS files
Date: Fri, 30 Nov 2012 15:52:36 +0100
On 30/11/2012 14:41, Florian Rothmaier wrote:
> Am 26.11.2012 17:10, schrieb Olе Streicher:
>> * Since the original code is under PD, would you consider to put the
>>   Debian package under a less restrictive license than GPL?
> 
> I sent a mail to debian-legal to ask which license should be chosen
> for debian/* in case the sources are in the public domain.

If the original code is really "public domain", it is not DFSG compatible.
I suggest the author pick a very non restrictive license if it is
what he meant. WTFPL2 is my favorite, some others are less crude :;

Jérémy.









Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Florian Rothmaier <frothmai@ari.uni-heidelberg.de>:
Bug#694418; Package wnpp. (Tue, 11 Dec 2012 14:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Steffen Möller" <steffen_moeller@gmx.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Florian Rothmaier <frothmai@ari.uni-heidelberg.de>. (Tue, 11 Dec 2012 14:24:03 GMT) Full text and rfc822 format available.

Message #25 received at 694418@bugs.debian.org (full text, mbox):

From: "Steffen Möller" <steffen_moeller@gmx.de>
To: "Julian Taylor" <jtaylor.debian@googlemail.com>,"Florian Rothmaier" <frothmai@ari.uni-heidelberg.de>
Cc: 694418@bugs.debian.org
Subject: Re: Fwd: Bug#694418: ITP: fits -- Java library for the I/O handling of FITS files
Date: Tue, 11 Dec 2012 15:21:20 +0100
[Message part 1 (text/plain, inline)]
Hello,

 as ole already mentioned the source package name is far too generic. I'm not familiar with java packaging policies, but I would also expect nom.tam to appear somewhere in the package name or description. It would make it clear on first sight which java fits library it is. 
 I coudl not find Ole's email or any other, but I just looked at
 http://heasarc.gsfc.nasa.gov/docs/heasarc/fits/java/v1.0
 and from there I would think that
 libfits-java
 would be fine. An alternative would possibly be
 libnasa-fits-java
 but in my perception this would overdo it. There is
 qfits-tools, python3-pyfits, libcfitsio3, libastro-fits-cfitsio-perl, fitscheck and tcl-fitstcl
 already in the archive.

 I am also with pkg-java. My suggestion would be to leave it with debian-science, though. If sponsoring is not yet settled, feel free contacting me.

 Many greetings

 Steffen
[Message part 2 (text/html, inline)]

Changed Bug title to 'ITP: libfits-java -- Java library for the I/O handling of FITS files' from 'ITP: fits -- Java library for the I/O handling of FITS files' Request was from Simó Albert i Beltran <sim6@probeta.net> to control@bugs.debian.org. (Thu, 14 Feb 2013 23:39:04 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Tue, 26 Mar 2013 07:06:05 GMT) Full text and rfc822 format available.

Added indication that bug 694418 blocks 705285 Request was from "Mathieu Malaterre" <malat@debian.org> to control@bugs.debian.org. (Fri, 12 Apr 2013 14:09:08 GMT) Full text and rfc822 format available.

Reply sent to Florian Rothmaier <frothmai@ari.uni-heidelberg.de>:
You have taken responsibility. (Wed, 17 Apr 2013 09:03:32 GMT) Full text and rfc822 format available.

Notification sent to Florian Rothmaier <frothmai@ari.uni-heidelberg.de>:
Bug acknowledged by developer. (Wed, 17 Apr 2013 09:03:32 GMT) Full text and rfc822 format available.

Message #36 received at 694418-close@bugs.debian.org (full text, mbox):

From: Florian Rothmaier <frothmai@ari.uni-heidelberg.de>
To: 694418-close@bugs.debian.org
Subject: Bug#694418: fixed in libfits-java 1.10.0-1
Date: Wed, 17 Apr 2013 09:00:32 +0000
Source: libfits-java
Source-Version: 1.10.0-1

We believe that the bug you reported is fixed in the latest version of
libfits-java, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 694418@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Florian Rothmaier <frothmai@ari.uni-heidelberg.de> (supplier of updated libfits-java package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 13 Feb 2013 18:44:36 +0100
Source: libfits-java
Binary: libfits-java libfits-java-doc
Architecture: source all
Version: 1.10.0-1
Distribution: unstable
Urgency: low
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Changed-By: Florian Rothmaier <frothmai@ari.uni-heidelberg.de>
Description: 
 libfits-java - Java library for the I/O handling of FITS files
 libfits-java-doc - Java library for the I/O handling of FITS files (javadoc)
Closes: 694418
Changes: 
 libfits-java (1.10.0-1) unstable; urgency=low
 .
   * Initial release. (Closes: #694418)
   * Repacked original source JAR archive 'fits_src.jar'
     into the versioned tarball 'libfits-java_1.10.0.orig.tar.gz'.
   * Added shell script "debian/orig-tar.sh" which automates the
     resorting from the upstream JAR to the ".orig.tar.gz" file.
   * Added ANT build system to compile the sources
     to class files, to put them in a jar archive,
     and to generate javadoc from them.
Checksums-Sha1: 
 f9d4755cc8ce7edf921fcec1a8a4bf1b317f09ef 2001 libfits-java_1.10.0-1.dsc
 bbeccc91d3e63289a7242e40f5ce17d41b3e2f96 150641 libfits-java_1.10.0.orig.tar.gz
 787616086405b4b5ef2257805faa7a8d887805fe 6397 libfits-java_1.10.0-1.debian.tar.gz
 bf369172f3320c108052b82ac3e2a4d9aa2ffeac 157300 libfits-java_1.10.0-1_all.deb
 c41b5fc01833dbb5e90d4e47a3f1092b6fc67add 153746 libfits-java-doc_1.10.0-1_all.deb
Checksums-Sha256: 
 38723122e9fbad2a64817f28b4ce93edce5bee70bdfcc6af41885a81cc2a76a7 2001 libfits-java_1.10.0-1.dsc
 2217a1897a2d77864a98418c7325fd853ff8aa7b01bd7fe74df930855f5e5245 150641 libfits-java_1.10.0.orig.tar.gz
 6f3da3077ad7aa83ee4fff7a12fab25be5b1052f3395fddb2fbe62b6cf1549fd 6397 libfits-java_1.10.0-1.debian.tar.gz
 36a71c21bba569700b430c98d9b127f64652a11dc5fddfce33f7e5c53cac3c92 157300 libfits-java_1.10.0-1_all.deb
 d1d529a1a436e9be88c4b12a79bb0423c7bfdaa50c522bf7458a0ad696574e2a 153746 libfits-java-doc_1.10.0-1_all.deb
Files: 
 da212a37e817648dddf1c400f395c0b6 2001 java optional libfits-java_1.10.0-1.dsc
 d2fedbaad1d5e5b154eee35b9b72dad0 150641 java optional libfits-java_1.10.0.orig.tar.gz
 f619af2e21ab3e43fdf7dd747d8a9a17 6397 java optional libfits-java_1.10.0-1.debian.tar.gz
 fd712dc4f8bbe5be992cdca8badefd89 157300 java optional libfits-java_1.10.0-1_all.deb
 63a20918f444bb4892e709b09f6e95d7 153746 doc optional libfits-java-doc_1.10.0-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBAgAGBQJRUNCqAAoJEC/YvtrAIO7R2RMQAI6phCbvOs6303MdxvIA0EVZ
RVVTZMa3rKrduBo0/XShIpI2N7g+IKJ3c2JpdorcM7WEfhQmzyz6Xxl+geRtPnIP
3Wo/UVih7a63iFbLNADACJT98UrhfOA917wbqH5ZrJqZyZLHx0jqD1mnFqrR9ix2
/V+3CLwjTeA3XSJpqY4e/vBsnvoIFKq/jS7Ko/LqdW7CJXt+uNw4QLWjAw/iozzC
nZJ5uyihVmzIRaMdbXCbRSvKM4x4nSrlS/rjDwrQNaHP0IEcd6+RI6i1nRk9ok1e
xYlGdRaQuCziDjgIF3Gr2adnJhJE+5NscUVr2Ol6QD3VXZFXjRXVWs2zJILp/KVF
ERgXqt/vDy6itVxaga/YS7ndrzz1d/t30Halfbm7fwPXRH/NW5K185ryPbx7aiMk
bAG2RJR2eUP6mQOUQiYo/2x/UyUQ4VTSD8xjWNnFR7c0ObLvKr9Ruvwn9XFLN93j
jGZKE77Axla5FG0T/3zijbmVWqMSgRg6z3tpxTI9c0yQkUWfK600eUykgBwtmHPm
wRwTgLZXZFBIxtQyM9YmJ3vBbUZLLfw88s29cnKrCA7J+iDieDnTWZ2i8Sss9A+5
cNQOKhCuIO1bqfo8DuXDRkeG2/yRM8wt+7DPOBLquMiClyoQfmcWSl16gXECUnkr
szFc950YpTsyWTWYQg6m
=kg2V
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 16 May 2013 07:27:16 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 12:28:20 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.